Is WFS 3.1 compatible with RB2008

I’m rebuilding my system after a hard drive crash and have installed my old copy of RB2008 r4.2. I have WFS 2.5 but noticed and have downloaded the newer 3.1 version. Before I add it to my project I’d like to verify with other more knowledgeable if v3.1 is backwards compatible with RB2008 or should I just stay with v2.5?